<?php

namespace App\Models;

use CodeIgniter\Model;

class Model_kategori_pelatihan_karyawan extends Model
{
    public function all_data()
    {
        return $this->db->table('tbl_kategori_pelatihan_karyawan')
            ->orderBy('id_kategori_pelatihan_karyawan', 'DESC')
            ->get()
            ->getResultArray();
    }

    public function add($data)
    {
        $this->db->table('tbl_kategori_pelatihan_karyawan')->insert($data);
    }

    public function edit($data)
    {
        $this->db->table('tbl_kategori_pelatihan_karyawan')
            ->where('id_kategori_pelatihan_karyawan', $data['id_kategori_pelatihan_karyawan'])
            ->update($data);
    }

    public function delete_data($data)
    {
        $this->db->table('tbl_kategori_pelatihan_karyawan')
            ->where('id_kategori_pelatihan_karyawan', $data['id_kategori_pelatihan_karyawan'])
            ->delete($data);
    }
}
